/// <reference types="react" />
import { BaseComponent, KeyCodes } from '../../Utilities';
import { IHoverCardProps, OpenCardMode, HoverCardType } from './HoverCard.types';
import { ExpandingCardMode } from './ExpandingCard.types';
export interface IHoverCardState {
    isHoverCardVisible?: boolean;
    mode?: ExpandingCardMode;
    openMode?: OpenCardMode;
}
export declare class HoverCardBase extends BaseComponent<IHoverCardProps, IHoverCardState> {
    static defaultProps: {
        cardOpenDelay: number;
        cardDismissDelay: number;
        expandedCardOpenDelay: number;
        instantOpenOnClick: boolean;
        setInitialFocus: boolean;
        openHotKey: KeyCodes;
        type: HoverCardType;
    };
    private _hoverCard;
    private _dismissTimerId;
    private _openTimerId;
    private _currentMouseTarget;
    private _classNames;
    constructor(props: IHoverCardProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: IHoverCardProps, prevState: IHoverCardState): void;
    render(): JSX.Element;
    private _getTargetElement();
    private _shouldBlockHoverCard();
    private _cardOpen;
    private _executeCardOpen;
    private _cardDismiss;
    private _executeCardDismiss;
    private _instantOpenAsExpanded;
}
