import * as tslib_1 from "tslib";
import * as React from 'react';
import { keytipMap } from './KeytipSetup';
import { Checkbox } from 'office-ui-fabric-react/lib/Checkbox';
import { ComboBox } from 'office-ui-fabric-react/lib/ComboBox';
import { Dropdown } from 'office-ui-fabric-react/lib/Dropdown';
import { Link } from 'office-ui-fabric-react/lib/Link';
import { SpinButton } from 'office-ui-fabric-react/lib/SpinButton';
import { Toggle } from 'office-ui-fabric-react/lib/Toggle';
import { Pivot, PivotItem } from 'office-ui-fabric-react/lib/Pivot';
var KeytipsBasicExample = /** @class */ (function (_super) {
    tslib_1.__extends(KeytipsBasicExample, _super);
    function KeytipsBasicExample() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._sampleOptions = [{ key: 'A', text: 'Option 1' }, { key: 'B', text: 'Option 2' }, { key: 'C', text: 'Option 3' }];
        return _this;
    }
    /* tslint:disable:jsx-ban-props jsx-no-lambda */
    KeytipsBasicExample.prototype.render = function () {
        return (React.createElement("div", null,
            React.createElement("p", null, "For Pivots, keytips will first show for each of the pivots. After selecting a pivot, the Keytips for its content are shown."),
            React.createElement(Pivot, null,
                React.createElement(PivotItem, { linkText: "Pivot 1", keytipProps: keytipMap.Pivot1Keytip, style: { width: 500, paddingTop: 20 } },
                    React.createElement(SpinButton, { className: "u-marginBottom", label: 'Spin Button', keytipProps: keytipMap.SpinButtonKeytip }),
                    React.createElement(Toggle, { className: "u-marginBottom", keytipProps: keytipMap.ToggleKeytip, onText: 'Yes', offText: 'No' }),
                    React.createElement("p", null,
                        "Go to",
                        ' ',
                        React.createElement(Link, { keytipProps: keytipMap.LinkKeytip, href: 'http://www.bing.com', target: "_blank" }, "Bing"))),
                React.createElement(PivotItem, { linkText: "Pivot 2", keytipProps: keytipMap.Pivot2Keytip, style: { width: 500, paddingTop: 20 } },
                    React.createElement(Checkbox, { className: "u-marginBottom", keytipProps: keytipMap.CheckboxKeytip, label: 'Checkbox' }),
                    React.createElement(Dropdown, { label: 'Dropdown', keytipProps: keytipMap.DropdownKeytip, options: this._sampleOptions })),
                React.createElement(PivotItem, { linkText: "Pivot 3", keytipProps: keytipMap.Pivot3Keytip, style: { width: 500, paddingTop: 20 } },
                    React.createElement(ComboBox, { label: 'Combo Box', options: this._sampleOptions, keytipProps: keytipMap.ComboBoxKeytip })))));
    };
    return KeytipsBasicExample;
}(React.Component));
export { KeytipsBasicExample };
//# sourceMappingURL=Keytips.Basic.Example.js.map